aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKacper Kowalik (Xarthisius) <xarthisius@gentoo.org>2013-11-27 12:52:11 +0100
committerKacper Kowalik (Xarthisius) <xarthisius@gentoo.org>2013-11-27 12:52:11 +0100
commit4f35a704fca5f2c25557ce5115920abe670f8d74 (patch)
tree7370292c8c9573543ff23dab4868ae35f90ed594 /sci-visualization
parent[sci-visualization/yt] fix slots in CDEPEND (diff)
downloadsci-4f35a704fca5f2c25557ce5115920abe670f8d74.tar.gz
sci-4f35a704fca5f2c25557ce5115920abe670f8d74.tar.bz2
sci-4f35a704fca5f2c25557ce5115920abe670f8d74.zip
[sci-visualization/yt] provide workaround for latest Forthon
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/yt/yt-2.6.ebuild1
-rw-r--r--sci-visualization/yt/yt-9999.ebuild1
2 files changed, 2 insertions, 0 deletions
diff --git a/sci-visualization/yt/yt-2.6.ebuild b/sci-visualization/yt/yt-2.6.ebuild
index e54f9042e..8484302c8 100644
--- a/sci-visualization/yt/yt-2.6.ebuild
+++ b/sci-visualization/yt/yt-2.6.ebuild
@@ -41,6 +41,7 @@ python_prepare_all() {
-e 's:build/lib:../../../&:' || die
sed -i yt/utilities/setup.py \
-e "s:/usr:${EPREFIX}/usr:g" || die
+ mv yt/utilities/kdtree/fKD.{f,F}90 || die # Forthon-0.8.13
distutils-r1_python_prepare_all
}
diff --git a/sci-visualization/yt/yt-9999.ebuild b/sci-visualization/yt/yt-9999.ebuild
index 10c880b33..16ef051ce 100644
--- a/sci-visualization/yt/yt-9999.ebuild
+++ b/sci-visualization/yt/yt-9999.ebuild
@@ -44,6 +44,7 @@ python_prepare_all() {
-e 's:build/lib:../../../&:' || die
sed -i yt/utilities/setup.py \
-e "s:/usr:${EPREFIX}/usr:g" || die
+ mv yt/utilities/kdtree/fKD.{f,F}90 || die # Forthon-0.8.13
distutils-r1_python_prepare_all
}